{% extends 'base.html.twig' %}

{% block title %}Genre index{% endblock %}

{% block body %}
    <h1>Genre index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Title</th>
                <th>Description</th>
            </tr>
        </thead>
        <tbody>
        {% for genre in genres %}
            <tr>
                <td>{{ genre.id }}</td>
                <td>{{ genre.title }}</td>
                <td>{{ genre.description }}</td>
                <td>
                    <a href="{{ path('genre_show', {'id': genre.id}) }}">show</a>
                    <a href="{{ path('genre_edit', {'id': genre.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <div class="create-new">
        <a href="{{ path('genre_new') }}">Create new</a>
    </div>
{% endblock %}
